
{% load static %}
{% load humanize %}
{% load mathfilters %}
{% load custom_tags %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Laporan Rekapitulasi Tagihan</title>
    <style>
        body {
            font-family: 'Times New Roman', Times, serif !important;
            line-height: 1.5 !important;
        }
        @media print {
            tfoot {
                display: table-row-group;
            }
            table {
                page-break-inside: auto;
            }
            .table-bordered th, 
            .table-bordered td {
                font-size: 8pt;
                border: 1px solid black !important;
            }
        }
        
    </style>  
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body>
    <div class="d-flex justify-content-center" style="font-size: 18pt;">LAPORAN SISA DANA PER SUB-UNIT</div>
    <div class="fw-bold d-flex justify-content-center"  style="font-size: 9pt;">PADA SEKRETARIAT DAERAH KABUPATEN DOGIYAI</div>
    <div class="fw-bold d-flex justify-content-center mb-4"  style="font-size: 9pt;">TAHUN ANGGARAN 2025</div>

    <table class="table table-bordered mt-5" style="width: 100%;">
        <thead>
            <tr>
                <th class="text-center align-middle">No</th>
                <th class="text-center align-middle">SKPD</th>
                <th class="text-center align-middle">Bagian</th>
                <th class="text-center align-middle">Pagu</th>
                <th class="text-center align-middle">Realisasi/Tagihan</th>
                <th class="text-center align-middle">Sisa Dana</th>
                <th class="text-center align-middle">Keterangan</th>
            </tr>
        </thead>
        <tbody>
            {% for item_rincianSPK in data_keterangan_entry %}
            <tr>
                <td>{{forloop.counter}}</td>
                <td>{{item_rincianSPK.skpd}}</td>
                <td>{{item_rincianSPK.bagian_nama}}</td>
                <td class="text-end"> <b>Rp. {{item_rincianSPK.pagu_per_keterangan|floatformat:2}}</b></td>
                <td class="text-end"> <b>Rp. {{item_rincianSPK.subtotal_ssh|floatformat:2}}</b></td>
                <td class="text-end"> <b>Rp. {{item_rincianSPK.total_sisa_pagu|floatformat:2}}</b></td>
                <td></td>
            </tr>
        {% endfor %}
        </tbody>
        
    <tfoot>
        <tr>
            <td class="fw-bold text-end" colspan="3">Total Tagihan</td>
            <td class="fw-bold text-end">{{total_keseluruhan_pagu_per_keterangan|floatformat:2}}</td>
            <td class="fw-bold text-end">{{total_keseluruhan_subtotal_ssh|floatformat:2}}</td>
            <td class="fw-bold text-end">{{total_keseluruhan_sisa_pagu|floatformat:2}}</td>
            <td></td>
        </tr>
    </tfoot>
    </table>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>















